Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network91.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
91.0.0.0
Broadcast address
91.127.255.255
First usable
91.0.0.1
Last usable
91.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 5B000000 · Integer 1526726656 to 1535115263
Reverse DNS zones
0.91.in-addr.arpa
1.91.in-addr.arpa
2.91.in-addr.arpa
3.91.in-addr.arpa
4.91.in-addr.arpa
5.91.in-addr.arpa
6.91.in-addr.arpa
7.91.in-addr.arpa
8.91.in-addr.arpa
9.91.in-addr.arpa
10.91.in-addr.arpa
11.91.in-addr.arpa
12.91.in-addr.arpa
13.91.in-addr.arpa
14.91.in-addr.arpa
15.91.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011011.00000000.00000000.0000000091.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011011.00000000.00000000.0000000091.0.0.0
Broadcast01011011.01111111.11111111.1111111191.127.255.255
Split into smaller subnets/16

91.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
191.0.0.0/1691.0.0.1 to 91.0.255.25491.0.255.25565,534
291.1.0.0/1691.1.0.1 to 91.1.255.25491.1.255.25565,534
391.2.0.0/1691.2.0.1 to 91.2.255.25491.2.255.25565,534
491.3.0.0/1691.3.0.1 to 91.3.255.25491.3.255.25565,534
591.4.0.0/1691.4.0.1 to 91.4.255.25491.4.255.25565,534
691.5.0.0/1691.5.0.1 to 91.5.255.25491.5.255.25565,534
791.6.0.0/1691.6.0.1 to 91.6.255.25491.6.255.25565,534
891.7.0.0/1691.7.0.1 to 91.7.255.25491.7.255.25565,534
991.8.0.0/1691.8.0.1 to 91.8.255.25491.8.255.25565,534
1091.9.0.0/1691.9.0.1 to 91.9.255.25491.9.255.25565,534
1191.10.0.0/1691.10.0.1 to 91.10.255.25491.10.255.25565,534
1291.11.0.0/1691.11.0.1 to 91.11.255.25491.11.255.25565,534
1391.12.0.0/1691.12.0.1 to 91.12.255.25491.12.255.25565,534
1491.13.0.0/1691.13.0.1 to 91.13.255.25491.13.255.25565,534
1591.14.0.0/1691.14.0.1 to 91.14.255.25491.14.255.25565,534
1691.15.0.0/1691.15.0.1 to 91.15.255.25491.15.255.25565,534
1791.16.0.0/1691.16.0.1 to 91.16.255.25491.16.255.25565,534
1891.17.0.0/1691.17.0.1 to 91.17.255.25491.17.255.25565,534
1991.18.0.0/1691.18.0.1 to 91.18.255.25491.18.255.25565,534
2091.19.0.0/1691.19.0.1 to 91.19.255.25491.19.255.25565,534
2191.20.0.0/1691.20.0.1 to 91.20.255.25491.20.255.25565,534
2291.21.0.0/1691.21.0.1 to 91.21.255.25491.21.255.25565,534
2391.22.0.0/1691.22.0.1 to 91.22.255.25491.22.255.25565,534
2491.23.0.0/1691.23.0.1 to 91.23.255.25491.23.255.25565,534
2591.24.0.0/1691.24.0.1 to 91.24.255.25491.24.255.25565,534
2691.25.0.0/1691.25.0.1 to 91.25.255.25491.25.255.25565,534
2791.26.0.0/1691.26.0.1 to 91.26.255.25491.26.255.25565,534
2891.27.0.0/1691.27.0.1 to 91.27.255.25491.27.255.25565,534
2991.28.0.0/1691.28.0.1 to 91.28.255.25491.28.255.25565,534
3091.29.0.0/1691.29.0.1 to 91.29.255.25491.29.255.25565,534
3191.30.0.0/1691.30.0.1 to 91.30.255.25491.30.255.25565,534
3291.31.0.0/1691.31.0.1 to 91.31.255.25491.31.255.25565,534
3391.32.0.0/1691.32.0.1 to 91.32.255.25491.32.255.25565,534
3491.33.0.0/1691.33.0.1 to 91.33.255.25491.33.255.25565,534
3591.34.0.0/1691.34.0.1 to 91.34.255.25491.34.255.25565,534
3691.35.0.0/1691.35.0.1 to 91.35.255.25491.35.255.25565,534
3791.36.0.0/1691.36.0.1 to 91.36.255.25491.36.255.25565,534
3891.37.0.0/1691.37.0.1 to 91.37.255.25491.37.255.25565,534
3991.38.0.0/1691.38.0.1 to 91.38.255.25491.38.255.25565,534
4091.39.0.0/1691.39.0.1 to 91.39.255.25491.39.255.25565,534
4191.40.0.0/1691.40.0.1 to 91.40.255.25491.40.255.25565,534
4291.41.0.0/1691.41.0.1 to 91.41.255.25491.41.255.25565,534
4391.42.0.0/1691.42.0.1 to 91.42.255.25491.42.255.25565,534
4491.43.0.0/1691.43.0.1 to 91.43.255.25491.43.255.25565,534
4591.44.0.0/1691.44.0.1 to 91.44.255.25491.44.255.25565,534
4691.45.0.0/1691.45.0.1 to 91.45.255.25491.45.255.25565,534
4791.46.0.0/1691.46.0.1 to 91.46.255.25491.46.255.25565,534
4891.47.0.0/1691.47.0.1 to 91.47.255.25491.47.255.25565,534
4991.48.0.0/1691.48.0.1 to 91.48.255.25491.48.255.25565,534
5091.49.0.0/1691.49.0.1 to 91.49.255.25491.49.255.25565,534
5191.50.0.0/1691.50.0.1 to 91.50.255.25491.50.255.25565,534
5291.51.0.0/1691.51.0.1 to 91.51.255.25491.51.255.25565,534
5391.52.0.0/1691.52.0.1 to 91.52.255.25491.52.255.25565,534
5491.53.0.0/1691.53.0.1 to 91.53.255.25491.53.255.25565,534
5591.54.0.0/1691.54.0.1 to 91.54.255.25491.54.255.25565,534
5691.55.0.0/1691.55.0.1 to 91.55.255.25491.55.255.25565,534
5791.56.0.0/1691.56.0.1 to 91.56.255.25491.56.255.25565,534
5891.57.0.0/1691.57.0.1 to 91.57.255.25491.57.255.25565,534
5991.58.0.0/1691.58.0.1 to 91.58.255.25491.58.255.25565,534
6091.59.0.0/1691.59.0.1 to 91.59.255.25491.59.255.25565,534
6191.60.0.0/1691.60.0.1 to 91.60.255.25491.60.255.25565,534
6291.61.0.0/1691.61.0.1 to 91.61.255.25491.61.255.25565,534
6391.62.0.0/1691.62.0.1 to 91.62.255.25491.62.255.25565,534
6491.63.0.0/1691.63.0.1 to 91.63.255.25491.63.255.25565,534
6591.64.0.0/1691.64.0.1 to 91.64.255.25491.64.255.25565,534
6691.65.0.0/1691.65.0.1 to 91.65.255.25491.65.255.25565,534
6791.66.0.0/1691.66.0.1 to 91.66.255.25491.66.255.25565,534
6891.67.0.0/1691.67.0.1 to 91.67.255.25491.67.255.25565,534
6991.68.0.0/1691.68.0.1 to 91.68.255.25491.68.255.25565,534
7091.69.0.0/1691.69.0.1 to 91.69.255.25491.69.255.25565,534
7191.70.0.0/1691.70.0.1 to 91.70.255.25491.70.255.25565,534
7291.71.0.0/1691.71.0.1 to 91.71.255.25491.71.255.25565,534
7391.72.0.0/1691.72.0.1 to 91.72.255.25491.72.255.25565,534
7491.73.0.0/1691.73.0.1 to 91.73.255.25491.73.255.25565,534
7591.74.0.0/1691.74.0.1 to 91.74.255.25491.74.255.25565,534
7691.75.0.0/1691.75.0.1 to 91.75.255.25491.75.255.25565,534
7791.76.0.0/1691.76.0.1 to 91.76.255.25491.76.255.25565,534
7891.77.0.0/1691.77.0.1 to 91.77.255.25491.77.255.25565,534
7991.78.0.0/1691.78.0.1 to 91.78.255.25491.78.255.25565,534
8091.79.0.0/1691.79.0.1 to 91.79.255.25491.79.255.25565,534
8191.80.0.0/1691.80.0.1 to 91.80.255.25491.80.255.25565,534
8291.81.0.0/1691.81.0.1 to 91.81.255.25491.81.255.25565,534
8391.82.0.0/1691.82.0.1 to 91.82.255.25491.82.255.25565,534
8491.83.0.0/1691.83.0.1 to 91.83.255.25491.83.255.25565,534
8591.84.0.0/1691.84.0.1 to 91.84.255.25491.84.255.25565,534
8691.85.0.0/1691.85.0.1 to 91.85.255.25491.85.255.25565,534
8791.86.0.0/1691.86.0.1 to 91.86.255.25491.86.255.25565,534
8891.87.0.0/1691.87.0.1 to 91.87.255.25491.87.255.25565,534
8991.88.0.0/1691.88.0.1 to 91.88.255.25491.88.255.25565,534
9091.89.0.0/1691.89.0.1 to 91.89.255.25491.89.255.25565,534
9191.90.0.0/1691.90.0.1 to 91.90.255.25491.90.255.25565,534
9291.91.0.0/1691.91.0.1 to 91.91.255.25491.91.255.25565,534
9391.92.0.0/1691.92.0.1 to 91.92.255.25491.92.255.25565,534
9491.93.0.0/1691.93.0.1 to 91.93.255.25491.93.255.25565,534
9591.94.0.0/1691.94.0.1 to 91.94.255.25491.94.255.25565,534
9691.95.0.0/1691.95.0.1 to 91.95.255.25491.95.255.25565,534
9791.96.0.0/1691.96.0.1 to 91.96.255.25491.96.255.25565,534
9891.97.0.0/1691.97.0.1 to 91.97.255.25491.97.255.25565,534
9991.98.0.0/1691.98.0.1 to 91.98.255.25491.98.255.25565,534
10091.99.0.0/1691.99.0.1 to 91.99.255.25491.99.255.25565,534
10191.100.0.0/1691.100.0.1 to 91.100.255.25491.100.255.25565,534
10291.101.0.0/1691.101.0.1 to 91.101.255.25491.101.255.25565,534
10391.102.0.0/1691.102.0.1 to 91.102.255.25491.102.255.25565,534
10491.103.0.0/1691.103.0.1 to 91.103.255.25491.103.255.25565,534
10591.104.0.0/1691.104.0.1 to 91.104.255.25491.104.255.25565,534
10691.105.0.0/1691.105.0.1 to 91.105.255.25491.105.255.25565,534
10791.106.0.0/1691.106.0.1 to 91.106.255.25491.106.255.25565,534
10891.107.0.0/1691.107.0.1 to 91.107.255.25491.107.255.25565,534
10991.108.0.0/1691.108.0.1 to 91.108.255.25491.108.255.25565,534
11091.109.0.0/1691.109.0.1 to 91.109.255.25491.109.255.25565,534
11191.110.0.0/1691.110.0.1 to 91.110.255.25491.110.255.25565,534
11291.111.0.0/1691.111.0.1 to 91.111.255.25491.111.255.25565,534
11391.112.0.0/1691.112.0.1 to 91.112.255.25491.112.255.25565,534
11491.113.0.0/1691.113.0.1 to 91.113.255.25491.113.255.25565,534
11591.114.0.0/1691.114.0.1 to 91.114.255.25491.114.255.25565,534
11691.115.0.0/1691.115.0.1 to 91.115.255.25491.115.255.25565,534
11791.116.0.0/1691.116.0.1 to 91.116.255.25491.116.255.25565,534
11891.117.0.0/1691.117.0.1 to 91.117.255.25491.117.255.25565,534
11991.118.0.0/1691.118.0.1 to 91.118.255.25491.118.255.25565,534
12091.119.0.0/1691.119.0.1 to 91.119.255.25491.119.255.25565,534
12191.120.0.0/1691.120.0.1 to 91.120.255.25491.120.255.25565,534
12291.121.0.0/1691.121.0.1 to 91.121.255.25491.121.255.25565,534
12391.122.0.0/1691.122.0.1 to 91.122.255.25491.122.255.25565,534
12491.123.0.0/1691.123.0.1 to 91.123.255.25491.123.255.25565,534
12591.124.0.0/1691.124.0.1 to 91.124.255.25491.124.255.25565,534
12691.125.0.0/1691.125.0.1 to 91.125.255.25491.125.255.25565,534
12791.126.0.0/1691.126.0.1 to 91.126.255.25491.126.255.25565,534
12891.127.0.0/1691.127.0.1 to 91.127.255.25491.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses